Subject: bug#5668: 23.1.93; comint-mode-map key definitions for [delete] and [kp-delete]

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 13 Jul 2011 18:51:09 +0200

"Gallagher, Kevin" <[email-masked]> writes:

>     ;; The following two are standardly aliased to C-d,
>     ;; but they should never do EOF, just delete.
>     (define-key map [delete]           'delete-char)
>     (define-key map [kp-delete]       'delete-char)

[...]

> Now, I understand the motivation here BUT, typically, one only defines
> mode-specific C-c bindings and mode-specific pull-down menu bindings
> in mode maps. In my case, I have delete and kp-delete assigned to
> perform an entirely different function.

Yes, binding [kp-delete] seems rather gratuitous, but many modes bind
[delete].  If you want to rebind them to something else, you can use the
mode hooks to alter their definitions.  So I don't really think this is
a bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/